<template>
  <div>
    <h2>Comment List</h2>
    <ul>
      <li v-for="comment in comments" :key="comment.id">
        <p><strong>{{ comment.author }}:</strong> {{ comment.content }}</p>
      </li>
    </ul>
  </div>
</template>

<script setup lang="ts">
import { ref, onMounted } from 'vue';
import { fetchComments } from '@/services/comment-service';
import type { Comment } from '@/entities';

const comments = ref<Comment[]>([]);

onMounted(async () => {
  comments.value = await fetchComments(1);
});
</script>
